package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.kexun.common.utils.Result;
import com.kexun.entity.*;
import com.kexun.service.BusinessService;
import com.kexun.service.CooperatorService;
import com.kexun.service.CustomInfoService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

@RestController
@RequestMapping("/admin/business")
@Log
public class BusinessController {

    @Autowired
    private com.kexun.service.BusinessService BusinessService;

    @Autowired
    private CustomInfoService CustomInfoService;

    // 获取待办业务列表
    @RequestMapping("businessToDoList")
    public Result businessToDoList(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.queryToDoList();
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("business_todo_list",pageInfo);
        return Result.success("ok",resJson);
    }

    //查询待办业务
    @RequestMapping("selectBusinessToDo")
    public Result selectBusinessToDo(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        String customerName = req.getString("customerName");
        System.out.println("this  sdaf"+ customerName);
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.selectBusinessToDo(customerName);
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("select_business_todo",pageInfo);
        return Result.success("ok",resJson);
    }

    // 获取解析业务列表
    @RequestMapping("businessAnalysisList")
    public Result businessAnalysisList(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.queryAnalysisList();
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("business_analysis_list",pageInfo);
        return Result.success("ok",resJson);
    }

    //查询解析业务
    @RequestMapping("selectBusinessAnalysis")
    public Result selectBusinessAnalysis(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        String customerName = req.getString("customerName");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.selectBusinessAnalysis(customerName);
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("select_business_analysis",pageInfo);

        return Result.success("ok",resJson);
    }
    @RequestMapping("businessFailList")
    public Result businessFailList(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.queryFailList();
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("business_fail_list",pageInfo);
        return Result.success("ok",resJson);
    }

    //查询失败业务
    @RequestMapping("selectBusinessFail")
    public Result selectBusinessFail(@RequestBody String json) {
        JSONObject req = JSON.parseObject(json);
        int pageNum = req.getIntValue("pageNum");
        int pageSize = req.getIntValue("pageSize");
        String customerName = req.getString("customerName");
        System.out.println("this  sdaf"+ customerName);
        PageHelper.startPage(pageNum, pageSize);//设置分页信息

        List<BusinessInfo> list= BusinessService.selectBusinessFail(customerName);
        PageInfo pageInfo=new PageInfo(list);

        for(int i=0; i<list.size(); i++)
        {
            list.get(i).setStatus("待解决");
            String time = list.get(i).getCreateTime().replace(".0","");
            list.get(i).setCreateTime(time);
        }
        JSONObject resJson = new JSONObject();
        resJson.put("select_business_fail",pageInfo);
        return Result.success("ok",resJson);
    }
    @GetMapping("findBusinessInfoByNum/{businessNum}")
    public Result findBusinessInfoByNum(@PathVariable("businessNum") String businessNum){
        JSONObject resJson=new JSONObject();
        BusinessInfo list = BusinessService.QueryBusinessInfoByNum(businessNum);
        resJson.put("business_info",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }

    @GetMapping("findCustomInfoByNum/{businessNum}")
    public Result findCustomInfoByNum(@PathVariable("businessNum") String businessNum){
        JSONObject resJson=new JSONObject();
        CustomInfo list1 = CustomInfoService.QueryCustomInfo(businessNum);
        List<CustomInfo> list2 = CustomInfoService.QueryCustomTelephone(businessNum);
        List<CustomInfo> list3 = CustomInfoService.QueryCustomAddress(businessNum);

        System.out.println(list3);
        String telephonelist = "";
        for(int i=0; i<list2.size(); i++)
        {
            CustomInfo customInfo = list2.get(i);
            telephonelist += (customInfo.telephone);
            telephonelist += ";  ";
        }

        String addresslist = "";
        for(int i=0; i<list3.size(); i++)
        {
            CustomInfo customInfo = list3.get(i);
            addresslist += (customInfo.address);
            addresslist += ";  ";
        }
        list1.telephone = telephonelist;
        list1.address = addresslist;
        System.out.println(list1);

        resJson.put("custom_info",list1);


        return Result.success("ok",resJson);
    }

}
