package com.kexun.controller;


import com.alibaba.fastjson.JSONObject;
import com.kexun.annotation.HisModifyLog;
import com.kexun.common.utils.Result;
import com.kexun.model.ro.ReportInfoRO;
import com.kexun.service.ReportInfoService;
import com.kexun.service.xml.ParseHandleService;
import com.kexun.utils.ParseXmlUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.FileUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.File;
import java.nio.charset.StandardCharsets;

/**
 * <p>
 * 报文信息 前端控制器
 * </p>
 *
 * @author lgs
 * @since 2023-05-10
 */
@RestController
@RequestMapping("/web")
@Api("swagger测试")
@Slf4j
public class ReportInfoController {

    @Autowired
    ReportInfoService reportInfoService;

    @Autowired
    ParseHandleService parseHandleService;

    @ApiOperation("变更历史记录测试")
    @PostMapping("reportUpdate")
    @HisModifyLog(businessType = "1",module = "产品变更",serviceBean = "reportInfoServiceImpl",queryMethod = "getReportInfo",paramType = "Long",paramKey = "id")
    public Result userInfo(@RequestBody ReportInfoRO reportInfoRo) {

        reportInfoService.updateReportInfo(reportInfoRo);
        return Result.success("ok", "");

    }

    @ApiOperation("测试xml的处理情况")
    @GetMapping("text-xml")
    public Result testXMl() throws Exception{

        String path = System.getProperty("user.dir") + File.separator + "src"+File.separator+"test"+File.separator+"resources" + File.separator;
        String fileName = "TestInfo.xml";
        File file = new File(path + fileName);
        String xmlContext = FileUtils.readFileToString(file, StandardCharsets.UTF_8);

        log.info(xmlContext);
        parseHandleService.parseHandle(xmlContext);
        return Result.success("ok", "");

    }


}
