package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 基本概况信息 
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_base_inf")
@ApiModel(value="BaseInfEntity对象", description="基本概况信息 ")
public class BaseInfEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "客户编号")
    @TableField("customer_num")
    private String customerNum;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件类型代码")
    @TableField("id_type_code")
    private String idTypeCode;

    @ApiModelProperty(value = "证件类型描述")
    @TableField("id_type_desc")
    private String idTypeDesc;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "出生日期")
    @TableField("birthday")
    private String birthday;

    @ApiModelProperty(value = "性别代码")
    @TableField("sex_code")
    private String sexCode;

    @ApiModelProperty(value = "性别描述")
    @TableField("sex_desc")
    private String sexDesc;

    @ApiModelProperty(value = "学位代码")
    @TableField("degree_code")
    private String degreeCode;

    @ApiModelProperty(value = "学位说明")
    @TableField("degree_desc")
    private String degreeDesc;

    @ApiModelProperty(value = "学历代码")
    @TableField("education_code")
    private String educationCode;

    @ApiModelProperty(value = "学历描述")
    @TableField("education_desc")
    private String educationDesc;

    @ApiModelProperty(value = "就业状况代码")
    @TableField("work_status_code")
    private String workStatusCode;

    @ApiModelProperty(value = "就业状况描述")
    @TableField("work_status_desc")
    private String workStatusDesc;

    @ApiModelProperty(value = "电子邮箱")
    @TableField("email")
    private String email;

    @ApiModelProperty(value = "通讯地址")
    @TableField("commu_address")
    private String commuAddress;

    @ApiModelProperty(value = "国籍代码")
    @TableField("nation_code")
    private String nationCode;

    @ApiModelProperty(value = "国籍描述")
    @TableField("nation_desc")
    private String nationDesc;

    @ApiModelProperty(value = "户籍地址")
    @TableField("address")
    private String address;


}
