package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 居住信息 
 * </p>
 *
 * @author lgs
 * @since 2023-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_base_residence")
@ApiModel(value="BaseResidenceEntity对象", description="居住信息 ")
public class BaseResidenceEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告头信息表id")
    @TableField("head_inf_id")
    private Long headInfId;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "证件类型代码")
    @TableField("id_type_code")
    private String idTypeCode;

    @ApiModelProperty(value = "证件类型描述")
    @TableField("id_type_desc")
    private String idTypeDesc;

    @ApiModelProperty(value = "证件号码")
    @TableField("id_num")
    private String idNum;

    @ApiModelProperty(value = "居住状况代码")
    @TableField("resi_status_code")
    private String resiStatusCode;

    @ApiModelProperty(value = "居住状况描述")
    @TableField("resi_status_desc")
    private String resiStatusDesc;

    @ApiModelProperty(value = "居住地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "住宅电话")
    @TableField("tel_num")
    private String telNum;

    @ApiModelProperty(value = "信息更新日期")
    @TableField("update_date_info")
    private String updateDateInfo;


}
