package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报告头信息
 * </p>
 *
 * @author lgs
 * @since 2023-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cr_head_inf")
@ApiModel(value="CrHeadInfEntity对象", description="报告头信息")
public class CrHeadInfEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报告编码")
    @TableField("rpt_no")
    private String rptNo;

    @ApiModelProperty(value = "报告生成时间")
    @TableField("rpt_time")
    private Date rptTime;

    @ApiModelProperty(value = "被查询者姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "被查询者证件类型代码")
    @TableField("cre_type_code")
    private String creTypeCode;

    @ApiModelProperty(value = "被查询者证件类型描述")
    @TableField("cre_type_desc")
    private String creTypeDesc;

    @ApiModelProperty(value = "被查询者证件号码")
    @TableField("cre_number")
    private String creNumber;

    @ApiModelProperty(value = "查询机构代码/名称")
    @TableField("query_org_code")
    private String queryOrgCode;

    @ApiModelProperty(value = "查询原因代码")
    @TableField("query_reason_code")
    private String queryReasonCode;

    @ApiModelProperty(value = "查询原因描述")
    @TableField("query_reason_desc")
    private String queryReasonDesc;

    @ApiModelProperty(value = "异议标注数目")
    @TableField("diss_num")
    private String dissNum;


}
