package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:行政奖励记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubAllowAncInf {

    /**
     * 人员类别代码
     */
    @JSONField(name ="PERTYPECODE")
    private String perTypeCode;

    /**
     * 人员类别描述
     */
    @JSONField(name ="PERTYPEDESC")
    private String perTypeDesc;

    /**
     * 所在地代码
     */
    @JSONField(name ="ADDRESSCODE")
    private String addressCode;

    /**
     * 所在地描述
     */
    @JSONField(name ="ADDRESSDESC")
    private String addressDesc;

    /**
     * 工作单位
     */
    @JSONField(name ="WORKUNIT")
    private String workUnit;

    /**
     * 家庭月收入
     */
    @JSONField(name ="FAMILYINCOME")
    private BigDecimal familyIncome;

    /**
     * 申请日期
     */
    @JSONField(name ="APPLYDATE")
    private String applyDate;

    /**
     * 批准日期
     */
    @JSONField(name ="APPROVEDATE")
    private String approveDate;

    /**
     * 信息更新日期
     */
    @JSONField(name = "UPDATEDATE")
    private String updatedate;
}
