package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.kexun.model.xml.IXmlBase;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:授信协议信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class CtrctBase implements IXmlBase {

    /**
     * 授信协议编号
     */
    @JSONField(name = "CONTRACTNO")
    private String creditNo;

    /**
     * 业务管理机构类型代码
     */
    @JSONField(name = "MANAGEORGTYPECODE")
    private String manageOrgTypeCode;

    /**
     * 业务管理机构类型描述
     */
    @JSONField(name = "MANAGEORGTYPEDESC")
    private String manageOrgTypeDesc;

    /**
     * 业务管理机构
     */
    @JSONField(name = "MANAGEORGCODE")
    private String manageOrgCode;

    /**
     * 授信协议标识
     */
    @JSONField(name = "CONTXTCODE")
    private String creditCode;

    /**
     * 授信额度用途代码
     */
    @JSONField(name = "LIMITPURPOSECODE")
    private String limitPurposeCode;

    /**
     * 授信额度用途描述
     */
    @JSONField(name = "LIMITPURPOSEDESC")
    private String limitPurposeDesc;

    /**
     * 授信额度
     */
    @JSONField(name = "CCAMOUNT")
    private BigDecimal creditLim;

    /**
     * 币种代码
     */
    @JSONField(name = "MONEYTYPECODE")
    private String currencyCode;

    /**
     * 币种描述
     */
    @JSONField(name = "MONEYTYPEDESC")
    private String currencyDesc;

    /**
     * 生效日期
     */
    @JSONField(name = "CONEFFDATE")
    private String conEffDate;

    /**
     * 到期日期
     */
    @JSONField(name = "CONEXPDATE")
    private String conExpDate;

    /**
     * 授信协议状态代码
     */
    @JSONField(name = "CONSTATUSCODE")
    private String conStatusCode;

    /**
     * 授信协议状态描述
     */
    @JSONField(name = "CONSTATUSDESC")
    private String conStatusDesc;

    /**
     * 已用额度
     */
    @JSONField(name = "USELIMIT")
    private BigDecimal useLimit;

    /**
     * 授信限额
     */
    @JSONField(name = "CREDITLIMIT")
    private BigDecimal creditLimit;

    /**
     * 授信限额编号
     */
    @JSONField(name = "CREDITLIMITNUM")
    private String creditLimitNum;

}
