package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.kexun.model.xml.IXmlBase;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description: 信贷交易明细基本信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsBase implements IXmlBase {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 账户类型代码
     */
    @JSONField(name = "ACCTTYPECODE")
    private String acctTypeCode;

    /**
     * 账户类型描述
     */
    @JSONField(name = "ACCTTYPEDESC")
    private String acctTypeDesc;

    /**
     * 业务管理机构类型代码
     */
    @JSONField(name = "MANAGEORGTYPECODE")
    private String magOrgTypeCode;

    /**
     * 业务管理机构类型描述
     */
    @JSONField(name = "MANAGEORGTYPEDESC")
    private String magOrgTypeDesc;

    /**
     * 业务管理机构代码
     */
    @JSONField(name = "BUSIORGCODE")
    private String busiOrgCode;

    /**
     * 账户标识
     */
    @JSONField(name = "ACCTCODE")
    private String acctCode;

    /**
     * 授信协议编号
     */
    @JSONField(name = "CONTRACTNUM")
    private String contractNum;

    /**
     * 业务种类代码
     */
    @JSONField(name = "LOANTYPECODE")
    private String loanTypeCode;

    /**
     * 业务种类描述
     */
    @JSONField(name = "LOANTYPEDESC")
    private String loanTypeDesc;

    /**
     * 开立日期
     */
    @JSONField(name = "OPENDATE")
    private String openDate;

    /**
     * 币种代码
     */
    @JSONField(name = "MONEYTYPECODE")
    private String currencyCode;

    /**
     * 币种描述
     */
    @JSONField(name = "MONEYTYPEDESC")
    private String currencyDesc;

    /**
     * 借款金额
     */
    @JSONField(name = "LOANAMT")
    private BigDecimal loanAmt;

    /**
     * 账户授信额度
     */
    @JSONField(name = "ACCTCREDLINE")
    private BigDecimal acctCredLine;

    /**
     * 共享授信额度
     */
    @JSONField(name = "ORGCREDLINE")
    private BigDecimal orgCredLine;

    /**
     * 到期日期
     */
    @JSONField(name = "DUEDATE")
    private String dueDate;

    /**
     * 还款方式代码
     */
    @JSONField(name = "REPAYCODE")
    private String repayCode;

    /**
     * 还款方式描述
     */
    @JSONField(name = "REPAYDESC")
    private String repayDesc;

    /**
     * 还款频率代码
     */
    @JSONField(name = "REPAYFREQCYCODE")
    private String repayFreqcyCode;

    /**
     * 还款频率描述
     */
    @JSONField(name = "REPAYFREQCYDESC")
    private String repayFreqcyDesc;

    /**
     * 还款期数
     */
    @JSONField(name = "REPAYPRD")
    private String repayPrd;

    /**
     * 担保方式代码
     */
    @JSONField(name = "GUARMODECODE")
    private String guarModeCode;

    /**
     * 担保方式描述
     */
    @JSONField(name = "GUARMODEDESC")
    private String guarModeDesc;

    /**
     * 贷款发放方式代码
     */
    @JSONField(name = "RELEASEWAYCODE")
    private String releaseWayCode;

    /**
     * 贷款发放方式描述
     */
    @JSONField(name = "RELEASEWAYDESC")
    private String releaseWayDesc;

    /**
     * 共同借款标志代码
     */
    @JSONField(name = "COMMBORROWERMAKERCODE")
    private String commBorrowerMakerCode;

    /**
     * 共同借款标志描述
     */
    @JSONField(name = "COMMBORROWERMAKERDESC")
    private String commBorrowerMakerDesc;

    /**
     * 债权转移时的还款状态代码
     */
    @JSONField(name = "RPYACCOUNTSTATUSCODE")
    private String rpyAccountStatusCode;

    /**
     * 债权转移时的还款状态描述
     */
    @JSONField(name = "RPYACCOUNTSTATUSDESC")
    private String rpyAccountStatusDesc;


}
