package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:信贷交易明细最新表现信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsLate {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 账户状态代码
     */
    @JSONField(name = "ACCTSTATUSCODE")
    private String acctStatusCode;

    /**
     * 账户状态描述
     */
    @JSONField(name = "ACCTSTATUSDESC")
    private String acctStatusDesc;

    /**
     * 账户关闭日期
     */
    @JSONField(name = "SETTLEDATE")
    private String settleDate;

    /**
     * 转出月份
     */
    @JSONField(name = "ROLLOUTDATE")
    private String rolloutDate;

    /**
     * 余额
     */
    @JSONField(name = "BALANCE")
    private BigDecimal balance;

    /**
     * 最近一次还款日期
     */
    @JSONField(name = "REPAYDATE")
    private String repayDate;

    /**
     * 最近一次还款金额
     */
    @JSONField(name = "REPAYAMT")
    private BigDecimal repayAmt;

    /**
     * 五级分类代码
     */
    @JSONField(name = "FIVECATECODE")
    private String fiveCateCode;

    /**
     * 五级分类描述
     */
    @JSONField(name = "FIVECATEDESC")
    private String fiveCateDesc;

    /**
     * 还款状态代码
     */
    @JSONField(name = "RPYSTATUSCODE")
    private String rpyStatusCode;

    /**
     * 还款状态描述
     */
    @JSONField(name = "RPYSTATUSDESC")
    private String rpyStatusDesc;

    /**
     * 信息报告日期
     */
    @JSONField(name = "REPORTDATEINFO")
    private String reportDate;
}
