package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Description:最近一次月度表现信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsLateMonth {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 月份
     */
    @JSONField(name = "STATUSENDDATE")
    private Date statusEndDate;

    /**
     * 账户状态代码
     */
    @JSONField(name = "ACCTSTATUCODE")
    private String acctStatuCode;

    /**
     * 账户状态描述
     */
    @JSONField(name = "ACCTSTATUDESC")
    private String acctStatuDesc;

    /**
     * 余额
     */
    @JSONField(name = "BUSIBAL")
    private BigDecimal busiBal;

    /**
     * 已用额度
     */
    @JSONField(name = "ACCTBAL")
    private BigDecimal acctBal;

    /**
     * 未出单的大额专项分期余额
     */
    @JSONField(name = "INSTBAL")
    private BigDecimal instBal;

    /**
     * 五级分类代码
     */
    @JSONField(name = "FIVECATECODE")
    private String fiveCateCode;

    /**
     * 五级分类描述
     */
    @JSONField(name = "FIVECATEDESC")
    private String fiveCateDesc;

    /**
     * 剩余还款期数
     */
    @JSONField(name = "REMREPPRD")
    private Integer remRepPrd;

    /**
     * 结算/应还款日
     */
    @JSONField(name = "SETTDATE")
    private String settDate;

    /**
     * 本月应还款
     */
    @JSONField(name = "CURRPYAMT")
    private BigDecimal currPyAmt;

    /**
     * 本月实还款
     */
    @JSONField(name = "ACTRPYAMT")
    private BigDecimal actRpyAmt;

    /**
     * 最近一次还款日期
     */
    @JSONField(name = "LATRPYDATE")
    private Date latrPyDate;

    /**
     * 当前逾期期数
     */
    @JSONField(name = "OVERDPRD")
    private Integer overdPrd;

    /**
     * 当前逾期总额
     */
    @JSONField(name = "TOTOVERD")
    private BigDecimal totOverd;

    /**
     * 逾期31-60天未还本金
     */
    @JSONField(name = "OVERD3160PRINC")
    private BigDecimal overd3160Princ;

    /**
     * 逾期61-90天未还本金
     */
    @JSONField(name = "OVERD6190PRINC")
    private BigDecimal overd6190Princ;

    /**
     * 逾期91-180天未还本金
     */
    @JSONField(name = "OVERD91180PRINC")
    private BigDecimal overd91180Princ;

    /**
     * 逾期180天以上未还本金
     */
    @JSONField(name = "OVERDPRINCOVE180")
    private BigDecimal overdPrincove180;

    /**
     * 透支180天以上未付余额
     */
    @JSONField(name = "OVERDRAWBAOVE180")
    private BigDecimal overdrawBaove180;

    /**
     * 最近6个月平均使用额度
     */
    @JSONField(name = "AVGUSEAMOUNT")
    private BigDecimal avgUseAmount;

    /**
     * 最近6个月平均透支余额
     */
    @JSONField(name = "LATSIXMNAVGOVDFTBAL")
    private BigDecimal latSixMnAvgOvdftBal;

    /**
     * 最大使用额度
     */
    @JSONField(name = "MAXUSEAMOUNT")
    private BigDecimal maxUseAmount;

    /**
     * 最大透支余额
     */
    @JSONField(name = "MAXOVERDRAFTBAL")
    private BigDecimal maxOverDraftBal;

    /**
     * 信息报告日期
     */
    @JSONField(name = "REPORTDATEINFO")
    private Date reportDateInfo;
}
