package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.kexun.entity.BusInfoModifyHis;
import com.kexun.hander.PageBean;
import com.kexun.mapper.BusInfoModifyHisMapper;
import com.kexun.model.ro.BusInfoModifyHisRO;
import com.kexun.service.BusInfoModifyHisService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.utils.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * <p>
 * 业务信息变更历史 服务实现类
 * </p>
 *
 * @author lgs
 * @since 2023-05-17
 */
@Service
public class BusInfoModifyHisServiceImpl extends ServiceImpl<BusInfoModifyHisMapper, BusInfoModifyHis> implements BusInfoModifyHisService {

    @Autowired
    private BusInfoModifyHisMapper busInfoModifyHisMapper;


    @Override
    public IPage<BusInfoModifyHis> listHisInfo(BusInfoModifyHisRO busInfoModifyHisRo){
        PageBean<BusInfoModifyHis> page = new PageBean<>(PageUtils.getPageNo(busInfoModifyHisRo.getPageNo()), PageUtils.getPageSize(busInfoModifyHisRo.getPageSize()));
        QueryWrapper queryWrapper = new QueryWrapper();
        if (!StringUtils.isEmpty(busInfoModifyHisRo.getBusinessNum())){
            queryWrapper.eq("business_num",busInfoModifyHisRo.getBusinessNum());
        }
        if (!StringUtils.isEmpty(busInfoModifyHisRo.getBusinessType())){
            queryWrapper.eq("business_type",busInfoModifyHisRo.getBusinessType());
        }
        IPage<BusInfoModifyHis> pageList = busInfoModifyHisMapper.selectPage(page, queryWrapper);
        return pageList;
    }
}
