package com.kexun.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.CooperatorProduct;
import com.kexun.mapper.CooperatorMapper;
import com.kexun.mapper.CooperatorProductMapper;
import com.kexun.service.CooperatorProductService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *
 */
@Service
public class CooperatorProductServiceImpl extends ServiceImpl<CooperatorProductMapper, CooperatorProduct>
        implements CooperatorProductService {

    @Resource
    CooperatorProductMapper cooperatorProductMapper;
    @Override
    public List<CooperatorProduct> productList() {
        List<CooperatorProduct> l = cooperatorProductMapper.Query();
        return l;
    }

    @Override
    public List<CooperatorField> findCooperatorProductFieldByNum(String productNum) {
        List<CooperatorField> l = cooperatorProductMapper.fieldQuery(productNum);
        return l;
    }

    @Override
    public void Apply(String cooperatorNo, String cooperatorName, String productNo, String productName, String modelId, String createTime) {
        cooperatorProductMapper.Apply(cooperatorNo,cooperatorName, productNo, productName,  modelId,  createTime);
    }

    @Override
    public void updateProductFieldNo(String productNum,String fieldNo) {
        cooperatorProductMapper.updateQuery(productNum,fieldNo);
    }

    @Override
    public List<CooperatorField> findCooperatorFieldsByName(String cooperatorName){
        List<CooperatorField> l = cooperatorProductMapper.findCooperatorFieldsQuery(cooperatorName);
        return l;

    }

    public List<CooperatorProduct> selectPage() {
//        System.out.println("aaa");
        List<CooperatorProduct> l = cooperatorProductMapper.selectProduct();
        return l;
    }

    public List<CooperatorProduct> selectCoopProduct(String info) {
//        System.out.println("aaa");
        List<CooperatorProduct> l = cooperatorProductMapper.selectCoopProduct(info);
        return l;
    }

    @Override
    public List<CooperatorProduct> getCooperatorByModel(Long modelNo){
        return cooperatorProductMapper.getCooperatorByModelQuery(modelNo);
    }

    @Override
    public CooperatorProduct findProductByName(String product_name){
        CooperatorProduct l = cooperatorProductMapper.findProductByName(product_name);
        return l;
    }
}